// 编写一个函数，用于将一个整数数组按照从小到大的顺序进行排序。
#include <iostream>

using namespace std;

void sort(int arr[], int size)
{
    for (int i = 0; i < size; i++)
    {
        // 等同于 for (int j = 0; j < size - i - 1; j++) 但是效率更高
        // 为什么效率更高？因为每次循环都会将最大的数放到最后，所以每次循环都可以少比较一次
        for (int j = i + 1; j < size; j++)
        {
            if (arr[i] > arr[j])
            {
                arr[i] = arr[i] ^ arr[j];
                arr[j] = arr[i] ^ arr[j];
                arr[i] = arr[i] ^ arr[j];
            }
        }
    }
}

int main()
{
    int arr[] = {1, 3, 2, 5, 4, 6};
    int size = sizeof(arr) / sizeof(arr[0]);
    sort(arr, size);
    cout << "排序后的数组为：";
    for (int i = 0; i < size; i++)
    {
        cout << arr[i] << " ";
    }
    cout << endl;
    return 0;
}